set nocompatible " vim settings instead if vi
syntax on " syntax highlighting on
set ruler " show the cursor position all the time
set number " show the line numbers
set background=dark " set dark background

" file type detection and load indent files
filetype plugin indent on

set shiftwidth=2 " tab spacing
set softtabstop=2 " unify
set tabstop=8 " unify
set noexpandtab " real tabs
set smarttab " use tabs at the start of a line, spaces elsewhere
set textwidth=80 " standard terminal

" highlight trailing whitespace
" :hi TrailingWhiteSpace ctermbg=red
" :match TrailingWhiteSpace "\s\+$"

" delete end-line spaces before leaving
" autocmd BufWrite *
" \ silent! %s/[\r \t]\+$//
