(*
 * Test question 10
 *)

open Question10

(* Partie test: ne pas modifier *)
let _ =
  let q = Queue.create () in
  let anonfun s =
    try
      let x = int_of_string s in
        Queue.add x q
    with
        _ -> ()
  in
  let get_liste () =
    List.rev (Queue.fold (fun x y -> y::x) [] q)
  in
  let rec gen_list accu = function
      0 -> accu
    | n when n>0 -> gen_list ((Random.int 256)::accu) (n-1)
    | _ -> Printf.fprintf stderr "taille doit etre positif !" ; exit 2
  in
  let print_int_list l =
    Printf.printf "[ ";
    List.iter (Printf.printf "%d; ") l;
    Printf.printf "]\n"
  in
  let print_vect v = 
    Printf.printf "(%i)[|" v.nbElem;
    for i = 0 to v.nbElem -1 do
      Printf.printf " %i;" v.tab.(i)
    done;
    Printf.printf "|]\n";
  in
  let usage = "Prog TP: question 10\nquestion10 graine taille" in
    Arg.parse (Arg.align []) anonfun usage ;
    (
      match get_liste () with
        | seed::size::_ ->
            Random.init seed;
            let l = gen_list [] size in
            let v = make_vecteur (size*2) min_int in
              Printf.printf "l = ";
              print_int_list l;
              list2vect v l;
              Printf.printf "list2vect v l\nv = ";
              print_vect v;
              exit 0
        | _ ->
            Arg.usage (Arg.align []) usage ;
            exit 1
    )
